## cimg 1.0.7

=== examples/Makefile ===
#--------------------------------------------------------------------------------------
#
#  Makefile :             Makefile for compiling CImg examples on Unix
#
#  Author :               David Tschumperl
#
# -----------------------------------------------------------------------------------

# Set correct variables and paths
CC         = g++ -O4 -Wall -ansi -ffast-math
X11PATH    = /usr/X11R6
X11FLAGS   = -I$(X11PATH)/include -L$(X11PATH)/lib -lX11

# Compilation rules
.cpp:
	@echo -e "\n** Compiling '$*'\n"
	@$(CC) -o $* $< $(CFLAGS) $(X11FLAGS) $(LDFLAGS)
linux:
	make "LDFLAGS=-lm -lpthread -Wl,-rpath $(X11PATH)/lib" all
solaris:
	make "LDFLAGS=-lm -lpthread -R$(X11PATH)/lib -lrt -lnsl -lsocket" all
freebsd: linux

all: CImg_test \
     fade_images \
     inpainter \
     odykill \
     pslider \
     inrcast \
     image_registration \
     hough_transform \
     render3d \
     tutorial \
     tetris \
     pde_heatflow2D \
     pde_TschumperleDeriche2D

clean:
	rm -f *.exe *~ \
        CImg_test \
	fade_images \
        inpainter \
        odykill \
        pslider \
        inrcast \
        image_registration \
        hough_transform \
        render3d \
        tutorial \
        tetris \
        pde_heatflow2D \
        pde_TschumperleDeriche2D

## cimg 1.0.9

=== examples/Makefile ===
#--------------------------------------------------------------------------------------
#
#  Makefile  :               Makefile for compiling CImg examples on Unix
#
#  Copyright :               David Tschumperle (http://www.greyc.ensicaen.fr/~dtschump/)
#
# -----------------------------------------------------------------------------------

# Set correct variables and paths
CC      = g++
X11PATH = /usr/X11R6
CFLAGS  = -Wall -ansi -pedantic -ffast-math -I$(X11PATH)/include

# Compilation rules
.cpp:
	@echo
	@echo "** Compiling '$*' with '`$(CC) -v 2>&1 | grep version`'"
	@echo
	$(CC) -o $* $< $(CFLAGS) $(LDFLAGS)
linux:
	make "LDFLAGS=-lm -lpthread -lX11 -L$(X11PATH)/lib" all
solaris:
	make "LDFLAGS=-lm -lpthread -lX11 -lrt -lnsl -lsocket -R$(X11PATH)/lib" all

all: CImg_test \
     fade_images \
     greycstoration \
     hough_transform \
     image_registration \
     image2ascii \
     inrcast \
     mcf_levelsets \
     odykill \
     pslider \
     pde_heatflow2D \
     pde_TschumperleDeriche2D \
     render3d \
     tetris \
     tutorial \
     wavelet_atrous

clean:
	rm -f *.exe *~ \
        CImg_test \
        fade_images \
        greycstoration \
        hough_transform \
        image_registration \
        image2ascii \
        inrcast \
        mcf_levelsets \
        odykill \
        pslider \
        pde_heatflow2D \
        pde_TschumperleDeriche2D \
        render3d \
        tetris \
        tutorial \
        wavelet_atrous

## cimg 1.2.0.1

=== examples/Makefile ===
#-----------------------------------------------------------------------------------
#-----------------------------------------------------------------------------------
#
#  Makefile  : Makefile for compiling CImg-based code on Unix
#
#  Copyright : David Tschumperle (http://www.greyc.ensicaen.fr/~dtschump/)
#
#-----------------------------------------------------------------------------------
#-----------------------------------------------------------------------------------

#-------------------------------------------------------------------------------------------
# Define the CImg files to be compiled (name of the source file without the .cpp extension)
#-------------------------------------------------------------------------------------------
CIMG_FILES = CImg_demo \
	     dtmri_view \
	     edge_explorer \
	     fade_images \
	     greycstoration \
	     greycstoration4integration \
	     hough_transform \
	     image_registration \
	     image2ascii \
	     image_surface \
	     mcf_levelsets \
	     mcf_levelsets3D \
	     nlmeans \
	     odykill \
	     pslider \
	     pde_heatflow2D \
	     pde_TschumperleDeriche2D \
	     tetris \
	     tutorial \
	     wavelet_atrous \
	     inrcast

#---------------------------------
# Set correct variables and paths
#---------------------------------
CIMG_VERSION = 1.20
CC           = g++
X11PATH      = /usr/X11R6
CFLAGS       = -Wall -W -ansi -pedantic -ffast-math
LDFLAGS      = -lm -lpthread

#--------------------------------------------------
# Set compilation flags allowing to customize CImg
#--------------------------------------------------

# Flags to perform strict CImg compilation
# (Do not try to preserve compatibility with older CImg versions)
CIMG_STRICT_FLAGS = -Dcimg_strict

# Flags to enable the use of the X11 library.
# (X11 is used by CImg to handle display windows)
CIMG_X11_FLAGS = -I$(X11PATH)/include -L$(X11PATH)/lib -lX11

# Flags to enable fast image display, using the XSHM library.
# (CIMG_X11_FLAGS must be defined also)
CIMG_XSHM_FLAGS = -Dcimg_use_xshm -lXext

# Flags to enable screen mode switching, using the XRandr library.
# (CIMG_X11_FLAGS must be defined also)
CIMG_XRANDR_FLAGS = -Dcimg_use_xrandr -lXrandr

# Flags to enable native support for PNG image files, using the PNG library.
CIMG_PNG_FLAGS = -Dcimg_use_png -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
CIMG_JPEG_FLAGS = -Dcimg_use_jpeg -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
CIMG_TIFF_FLAGS = -Dcimg_use_tiff -ltiff

# Flags to enable native support of most classical image file formats, using the Magick++ library.
CIMG_MAGICK_FLAGS = -Dcimg_use_magick `Magick++-config --cppflags` `Magick++-config --cxxflags` `Magick++-config --ldflags` `Magick++-config --libs`

# Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
CIMG_FFTW3_FLAGS = -Dcimg_use_fftw3 -lfftw3

# Flags to compile on Solaris
CIMG_SOLARIS_FLAGS = -R$(X11PATH)/lib -lrt -lnsl -lsocket

# Set default compilation flags.
# Uncomment lines here, if you want to customize your default configuration
CIMG_DEFAULT_FLAGS = $(CIMG_X11_FLAGS) \
	             $(CIMG_STRICT_FLAGS) \
                     $(CIMG_XSHM_FLAGS) \
                     $(CIMG_XRANDR_FLAGS) \
#                     $(CIMG_TIFF_FLAGS) \
#                     $(CIMG_PNG_FLAGS) \
#                     $(CIMG_JPEG_FLAGS) \
#                     $(CIMG_MAGICK_FLAGS) \
#                     $(CIMG_FFTW3_FLAGS)

# Gather all compilation flags.
CIMG_ALL_FLAGS = $(CIMG_X11_FLAGS) \
	         $(CIMG_STRICT_FLAGS) \
                 $(CIMG_XSHM_FLAGS) \
                 $(CIMG_XRANDR_FLAGS) \
                 $(CIMG_PNG_FLAGS) \
                 $(CIMG_JPEG_FLAGS) \
                 $(CIMG_TIFF_FLAGS) \
                 $(CIMG_MAGICK_FLAGS) \
                 $(CIMG_FFTW3_FLAGS)

#-------------------------
# Define Makefile entries
#-------------------------
.cpp:
	@echo
	@echo "** Compiling '$* ($(CIMG_VERSION))' with '`$(CC) -v 2>&1 | grep version`'"
	@echo
	$(CC) -o $* $< $(CFLAGS) $(LDFLAGS) $(ARCHFLAGS)
menu:
	@echo
	@echo "CImg Library $(CIMG_VERSION) : Examples"
	@echo "-----------------------------"
	@echo "  > dlinux   : Compile for Linux/MacOSX, with debug informations."
	@echo "  > linux    : Compile for Linux/MacOSX, with standard options."
	@echo "  > olinux   : Compile for Linux/MacOSX, with optimizations."
	@echo "  > mlinux   : Compile for Linux/MacOSX, with minimal dependancies."
	@echo "  > Mlinux   : Compile for Linux/MacOSX, with maximal dependancies."
	@echo
	@echo "  > dsolaris : Compile for Solaris, with debug informations."
	@echo "  > solaris  : Compile for Solaris, with standard options."
	@echo "  > osolaris : Compile for Solaris, with optimizations."
	@echo "  > mlinux   : Compile for Solaris, with minimal dependancies."
	@echo "  > Mlinux   : Compile for Solaris, with maximal dependancies."
	@echo
	@echo "  > clean    : Clean generated files."
	@echo
	@echo "Choose your option :"
	@read CHOICE; echo; make $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;

all: $(CIMG_FILES)

clean:
	rm -f *.exe *~ $(CIMG_FILES)

# Linux/Mac OSX targets
linux:
	make "ARCHFLAGS=$(CIMG_DEFAULT_FLAGS)" all
dlinux:
	make "ARCHFLAGS=-Dcimg_debug=2 -g $(CIMG_DEFAULT_FLAGS)" all
olinux:
	make "ARCHFLAGS=-O3 $(CIMG_DEFAULT_FLAGS)" all
mlinux:
	make "ARCHFLAGS=-Dcimg_display_type=0 -O3" all
Mlinux:
	make "ARCHFLAGS=-O3 $(CIMG_ALL_FLAGS)" all

# Sun Solaris targets
solaris:
	make "ARCHFLAGS=$(CIMG_SOLARIS_FLAGS) $(CIMG_DEFAULT_FLAGS)" all
dsolaris:
	make "ARCHFLAGS=-Dcimg_debug=2 -g $(CIMG_SOLARIS_FLAGS) $(CIMG_DEFAULT_FLAGS)" all
osolaris:
	make "ARCHFLAGS=-O3 $(CIMG_SOLARIS_FLAGS) $(CIMG_DEFAULT_FLAGS)" all
msolaris:
	make "ARCHFLAGS=-Dcimg_display_type=0 -O3" all
Msolaris:
	make "ARCHFLAGS=-Dcimg_display_type=0 -O3 $(CIMG_ALL_FLAGS)" all

## cimg 1.3.2

=== examples/Makefile ===
#
#  File        : Makefile
#                ( Makefile for GNU 'make' utility )
#
#  Description : Makefile for compiling CImg-based code on Unix.
#                This file is a part of the CImg Library project.
#                ( http://cimg.sourceforge.net )
#
#  Copyright   : David Tschumperle
#                ( http://www.greyc.ensicaen.fr/~dtschump/ )
#
#  License     : CeCILL v2.0
#                ( http://www.cecill.info/licences/Licence_CeCILL_V2-en.html )
#
#  This software is governed by the CeCILL  license under French law and
#  abiding by the rules of distribution of free software.  You can  use,
#  modify and/ or redistribute the software under the terms of the CeCILL
#  license as circulated by CEA, CNRS and INRIA at the following URL
#  "http://www.cecill.info".
#
#  As a counterpart to the access to the source code and  rights to copy,
#  modify and redistribute granted by the license, users are provided only
#  with a limited warranty  and the software's author,  the holder of the
#  economic rights,  and the successive licensors  have only  limited
#  liability.
#
#  In this respect, the user's attention is drawn to the risks associated
#  with loading,  using,  modifying and/or developing or reproducing the
#  software by the user in light of its specific status of free software,
#  that may mean  that it is complicated to manipulate,  and  that  also
#  therefore means  that it is reserved for developers  and  experienced
#  professionals having in-depth computer knowledge. Users are therefore
#  encouraged to load and test the software's suitability as regards their
#  requirements in conditions enabling the security of their systems and/or
#  data to be ensured and,  more generally, to use and operate it in the
#  same conditions as regards security.
#
#  The fact that you are presently reading this means that you have had
#  knowledge of the CeCILL license and that you accept its terms.
#

#-------------------------------------------------------
# Define the list of files to be compiled
# (name of the source files without the .cpp extension)
#-------------------------------------------------------

# Files which do not necessarily require external libraries to run.
CIMG_FILES = CImg_demo \
	     captcha \
             curve_editor2d \
	     dtmri_view3d \
	     edge_explorer2d \
	     fade_images \
	     gaussian_fit1d \
             generate_loop_macros \
	     hough_transform2d \
	     image_registration2d \
	     image2ascii \
	     image_surface3d \
	     jawbreaker \
	     mcf_levelsets2d \
	     mcf_levelsets3d \
	     odykill \
	     pde_heatflow2d \
	     pde_TschumperleDeriche2d \
	     plotter1d \
	     radon_transform2d \
	     scene3d \
	     spherical_function3d \
	     tetris \
	     tron \
	     tutorial \
	     wavelet_atrous \
	     use_draw_gradient \
	     use_nlmeans \
	     use_skeleton \
	     use_RGBclass \

# Files which requires external libraries to run.
CIMG_EXTRA_FILES = use_jpeg_buffer \
                   gmic_gimp \
                   gmic

#---------------------------------
# Set correct variables and paths
#---------------------------------
CIMG_VERSION = 1.32
X11PATH      = /usr/X11R6
CC           = g++
CCVER        = `$(CC) -v 2>&1 | tail -n 1`
EXEPFX       =

ifeq ($(CC),icc)
CFLAGS       = -I..
LDFLAGS      =
else
CFLAGS       = -I.. -Wall -W
LDFLAGS      = -lm
endif

#--------------------------------------------------
# Set compilation flags allowing to customize CImg
#--------------------------------------------------

# Flags to enable strict code standards
ifeq ($(CC),icc)
CIMG_ANSI_CFLAGS = -ansi
else
CIMG_ANSI_CFLAGS = -ansi -pedantic
endif

# Flags to enable code debugging.
CIMG_DEBUG_CFLAGS = -Dcimg_verbosity=3 -Dcimg_strict_warnings -g

# Flags to enable color output messages.
# (requires a VT100 compatible terminal)
CIMG_VT100_CFLAGS = -Dcimg_use_vt100

# Flags to enable code optimization by the compiler.
ifeq ($(CC),icc)
CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
else
CIMG_OPT_CFLAGS = -O3 -ffast-math -fno-tree-pre
endif

# Flags to enable OpenMP support.
ifeq ($(CC),icc)
CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -openmp -i-static
else
CIMG_OPENMP_CFLAGS = -Dcimg_use_openmp -fopenmp
endif

# Flags used to disable display capablities of CImg
CIMG_NODISPLAY_CFLAGS = -Dcimg_display=0

# Flags to enable the use of the X11 library.
# (X11 is used by CImg to handle display windows)
# !!! For 64bits systems : replace -L$(X11PATH)/lib by -L$(X11PATH)/lib64 !!!
CIMG_X11_CFLAGS = -I$(X11PATH)/include
CIMG_X11_LDFLAGS = -L$(X11PATH)/lib -lpthread -lX11

# Flags to enable GDI32 display (Windows native).
CIMG_GDI32_CFLAGS = -mwindows
CIMG_GDI32_LDFLAGS = -lgdi32

# Flags to enable Carbon-based display (MacOSX native).
CIMG_CARBON_CFLAGS = -Dcimg_display=3 -framework Carbon

# Flags to enable fast image display, using the XSHM library (when using X11).
CIMG_XSHM_CFLAGS = -Dcimg_use_xshm
CIMG_XSHM_LDFLAGS = -lXext

# Flags to enable screen mode switching, using the XRandr library (when using X11).
# ( http://www.x.org/wiki/Projects/XRandR )
CIMG_XRANDR_CFLAGS = -Dcimg_use_xrandr
CIMG_XRANDR_LDFLAGS = -lXrandr

# Flags to enable native support for PNG image files, using the PNG library.
# ( http://www.libpng.org/ )
CIMG_PNG_CFLAGS = -Dcimg_use_png
CIMG_PNG_LDFLAGS = -lpng -lz

# Flags to enable native support for JPEG image files, using the JPEG library.
# ( http://www.ijg.org/ )
CIMG_JPEG_CFLAGS = -Dcimg_use_jpeg
CIMG_JPEG_LDFLAGS = -ljpeg

# Flags to enable native support for TIFF image files, using the TIFF library.
# ( http://www.libtiff.org/ )
CIMG_TIFF_CFLAGS = -Dcimg_use_tiff
CIMG_TIFF_LDFLAGS = -ltiff

# Flags to enable native support for EXR image files, using the OpenEXR library.
# ( http://www.openexr.com/ )
CIMG_EXR_CFLAGS = -Dcimg_use_openexr -I/usr/include/OpenEXR
CIMG_EXR_LDFLAGS = -lIlmImf

# Flags to enable native support for various video files, using the FFMPEG library.
# ( http://www.ffmpeg.org/ )
CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg
CIMG_FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale

# Flags to enable native support for compressed .cimgz files, using the Zlib library.
# ( http://www.zlib.net/ )
CIMG_ZLIB_CFLAGS = -Dcimg_use_zlib
CIMG_ZLIB_LDFLAGS = -lz

# Flags to enable native support of most classical image file formats, using the Magick++ library.
# ( http://www.imagemagick.org/Magick++/ )
CIMG_MAGICK_CFLAGS = -Dcimg_use_magick `Magick++-config --cppflags` `Magick++-config --cxxflags`
CIMG_MAGICK_LDFLAGS = `Magick++-config --ldflags` `Magick++-config --libs`

# Flags to enable faster Discrete Fourier Transform computation, using the FFTW3 library
# ( http://www.fftw.org/ )
CIMG_FFTW3_CFLAGS = -Dcimg_use_fftw3
ifeq ($(MSYSTEM),MINGW32)
CIMG_FFTW3_LDFLAGS = -lfftw3-3
else
CIMG_FFTW3_LDFLAGS = -lfftw3
endif

# Flags to enable the use of LAPACK routines for matrix computation
# ( http://www.netlib.org/lapack/ )
CIMG_LAPACK_CFLAGS = -Dcimg_use_lapack
CIMG_LAPACK_LDFLAGS = -lblas -lg2c -llapack

# Flags to enable the use of the Board library
# ( http://libboard.sourceforge.net/ )
CIMG_BOARD_CFLAGS = -Dcimg_use_board -I/usr/include/board
CIMG_BOARD_LDFLAGS = -lboard

# Flags to compile on Sun Solaris
CIMG_SOLARIS_LDFLAGS = -R$(X11PATH)/lib -lrt -lnsl -lsocket

# Flags to compile GIMP plug-ins.
ifeq ($(MSYSTEM),MINGW32)
CIMG_GIMP_CFLAGS = -mwindows
endif

#-------------------------
# Define Makefile entries
#-------------------------
.cpp:
	@echo
	@echo "** Compiling '$* ($(CIMG_VERSION))' with '`$(CC) -v 2>&1 | tail -n 1`'"
	@echo
	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(LDFLAGS) $(CONF_CFLAGS) $(CONF_LDFLAGS)
ifeq ($(MACOSX_APP),true)
	mkdir -p $(EXEPFX)${*}.app/Contents/MacOS
	mv $(EXEPFX)${*} $(EXEPFX)${*}.app/Contents/MacOS
endif
ifeq ($(STRIP_EXE),true)
ifeq ($(MSYSTEM),MINGW32)
	strip $(EXEPFX)$*.exe
else
	strip $(EXEPFX)$*
endif
endif
menu:
	@echo
	@echo "CImg Library $(CIMG_VERSION) : Examples"
	@echo "-----------------------------"
	@echo "  > linux    : Linux/BSD/MacOSX target, X11 display, optimizations disabled."
	@echo "  > dlinux   : Linux/BSD/MacOSX target, X11 display, debug mode."
	@echo "  > olinux   : Linux/BSD/MacOSX target, X11 display, optimizations enabled."
	@echo "  > mlinux   : Linus/BSD/MacOSX target, no display, minimal features, optimizations enabled."
	@echo "  > Mlinux   : Linux/BSD/MacOSX target, X11 display, maximal features, optimizations enabled."
	@echo
	@echo "  > solaris  : Sun Solaris target, X11 display, optimizations disabled."
	@echo "  > dsolaris : Sun Solaris target, X11 display, debug mode."
	@echo "  > osolaris : Sun Solaris target, X11 display, optimizations enabled."
	@echo "  > msolaris : Sun Solaris target, no display, minimal features, optimizations enabled."
	@echo "  > Msolaris : Sun Solaris target, X11 display, maximal features, optimizations enabled."
	@echo
	@echo "  > macosx   : MacOSX target, Carbon display, optimizations disabled."
	@echo "  > dmacosx  : MacOSX target, Carbon display, debug mode."
	@echo "  > omacosx  : MacOSX target, Carbon display, optimizations enabled."
	@echo "  > mmacosx  : MacOSX target, no display, minimal features, optimizations enabled."
	@echo "  > Mmacosx  : MacOSX target, Carbon display, maximal features, optimizations enabled."
	@echo
	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
	@echo "  > owindows : Windows target, GDI32 display, optimizations enabled."
	@echo "  > mwindows : Windows target, no display, minimal features, optimizations enabled."
	@echo "  > Mwindows : Windows target, GDI32 display, maximal features, optimizations enabled."
	@echo
	@echo "  > clean    : Clean generated files."
	@echo
	@echo "Choose your option :"
	@read CHOICE; echo; make $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;

all: $(CIMG_FILES)

clean:
	rm -rf *.app *.exe *.o *~ \#* CMakeFiles cmake_install.cmake CMakeCache.txt $(CIMG_FILES) $(CIMG_EXTRA_FILES)
ifneq ($(EXEPFX),)
	rm -f $(EXEPFX)*
endif

# Specific target for 'check_all_functions'.
check: check_all_functions.cpp
	@echo
	@echo "** Compiling 'check_all_functions ($(CIMG_VERSION)) ' with '$(CCVER)'"
	@echo
	$(CC) -c check_all_functions.cpp $(CFLAGS) $(CIMG_ANSI_CFLAGS)

# Specific targets for the 'gmic_gimp' plug-in for GIMP.
gmic_gimp.o: gmic.cpp gmic_def.h
	$(CC) -I.. -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal $(CIMG_OPT_CFLAGS) $(CIMG_FFTW3_CFLAGS) $(CIMG_PNG_CFLAGS)

gmic_gimp: gmic_gimp.o gmic_gimp.cpp
	$(CC) -I.. -I./plugins -o $(EXEPFX)gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread $(CIMG_OPT_FLAGS) $(CIMG_FFTW3_LDFLAGS) $(CIMG_PNG_LDFLAGS) $(CIMG_GIMP_CFLAGS)

# Specific targets for 'gmic'.
gmic_def: gmic_def.raw
	\gmic -v- -type char gmic_def.raw,`du -Db gmic_def.raw | awk '{print $$1}'` -o -.h | sed 's/unnamed/gmic_def/' | sed 's/ \};/, 0 \};\n\nunsigned int size_data_gmic_def = sizeof(data_gmic_def);\n/g' > gmic_def.h
	@echo "#ifdef gmic_gimp" >> gmic_def.h
	\gmic -v- -type uchar ../html/img/logoGMIC.ppm -permute cxyz -o -.h | sed 's/unnamed/gmic_logo/' >> gmic_def.h
	@echo >>gmic_def.h
	@echo "unsigned int size_data_logo = sizeof(data_gmic_logo);" >> gmic_def.h
	@echo "#endif" >> gmic_def.h
	@echo >>gmic_def.h

gmic_bool.o: gmic.cpp
	@echo
	@echo "** Compiling 'gmic ($(CIMG_VERSION))' with '$(CCVER)'"
	@echo
	$(CC) -o gmic_bool.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS) $(CONF_CFLAGS)
gmic_uchar.o: gmic.cpp
	$(CC) -o gmic_uchar.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS) $(CONF_CFLAGS)
gmic_char.o: gmic.cpp
	$(CC) -o gmic_char.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_char $(CFLAGS) $(CONF_CFLAGS)
gmic_ushort.o: gmic.cpp
	$(CC) -o gmic_ushort.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS) $(CONF_CFLAGS)
gmic_short.o: gmic.cpp

## cimg 1.3.3

=== examples/Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.32
+CIMG_VERSION = 1.33
 X11PATH      = /usr/X11R6
 CC           = g++
 CCVER        = `$(CC) -v 2>&1 | tail -n 1`
@@ -120,7 +120,7 @@
 ifeq ($(CC),icc)
 CIMG_OPT_CFLAGS = -O3 -ipo -no-prec-div
 else
-CIMG_OPT_CFLAGS = -O3 -ffast-math -fno-tree-pre
+CIMG_OPT_CFLAGS = -O3 -fno-tree-pre
 endif
 
 # Flags to enable OpenMP support.
@@ -286,16 +286,16 @@
 
 # Specific targets for the 'gmic_gimp' plug-in for GIMP.
 gmic_gimp.o: gmic.cpp gmic_def.h
-	$(CC) -I.. -o gmic_gimp.o -c gmic.cpp -Dgmic_gimp -Dgmic_minimal $(CIMG_OPT_CFLAGS) $(CIMG_FFTW3_CFLAGS) $(CIMG_PNG_CFLAGS)
+	$(CC) -o gmic_gimp.o -c gmic.cpp -Dcimg_build -Dgmic_gimp -Dgmic_minimal $(CIMG_OPT_CFLAGS) $(CIMG_FFTW3_CFLAGS) $(CIMG_PNG_CFLAGS)
 
 gmic_gimp: gmic_gimp.o gmic_gimp.cpp
-	$(CC) -I.. -I./plugins -o $(EXEPFX)gmic_gimp gmic_gimp.cpp gmic_gimp.o `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread $(CIMG_OPT_FLAGS) $(CIMG_FFTW3_LDFLAGS) $(CIMG_PNG_LDFLAGS) $(CIMG_GIMP_CFLAGS)
+	$(CC) -o $(EXEPFX)gmic_gimp gmic_gimp.cpp gmic_gimp.o -Dcimg_build `gimptool-2.0 --cflags` `gimptool-2.0 --libs` -lpthread $(CIMG_OPT_FLAGS) $(CIMG_FFTW3_LDFLAGS) $(CIMG_PNG_LDFLAGS) $(CIMG_GIMP_CFLAGS)
 
 # Specific targets for 'gmic'.
-gmic_def: gmic_def.raw
-	\gmic -v- -type char gmic_def.raw,`du -Db gmic_def.raw | awk '{print $$1}'` -o -.h | sed 's/unnamed/gmic_def/' | sed 's/ \};/, 0 \};\n\nunsigned int size_data_gmic_def = sizeof(data_gmic_def);\n/g' > gmic_def.h
+gmic_def: gmic_def.gmic
+	cat gmic_def.gmic | \gmic -v - -type char -.raw,`du -Db gmic_def.gmic | awk '{print $$1}'` -o -.h | sed 's/unnamed/gmic_def/' | sed 's/ \};/, 0 \};\n\nunsigned int size_data_gmic_def = sizeof(data_gmic_def);\n/g' > gmic_def.h
 	@echo "#ifdef gmic_gimp" >> gmic_def.h
-	\gmic -v- -type uchar ../html/img/logoGMIC.ppm -permute cxyz -o -.h | sed 's/unnamed/gmic_logo/' >> gmic_def.h
+	\gmic -v - ../html/img/logoGMIC.ppm -permute cxyz -type uchar -o -.h | sed 's/unnamed/gmic_logo/' >> gmic_def.h
 	@echo >>gmic_def.h
 	@echo "unsigned int size_data_logo = sizeof(data_gmic_logo);" >> gmic_def.h
 	@echo "#endif" >> gmic_def.h
@@ -305,11 +305,10 @@
 	@echo
 	@echo "** Compiling 'gmic ($(CIMG_VERSION))' with '$(CCVER)'"
 	@echo
-	$(CC) -o gmic_bool.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS) $(CONF_CFLAGS)
+	$(CC) -o gmic_bool.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_bool $(CFLAGS) $(CONF_CFLAGS)
 gmic_uchar.o: gmic.cpp
-	$(CC) -o gmic_uchar.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS) $(CONF_CFLAGS)
+	$(CC) -o gmic_uchar.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_uchar $(CFLAGS) $(CONF_CFLAGS)
 gmic_char.o: gmic.cpp
-	$(CC) -o gmic_char.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_char $(CFLAGS) $(CONF_CFLAGS)
+	$(CC) -o gmic_char.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_char $(CFLAGS) $(CONF_CFLAGS)
 gmic_ushort.o: gmic.cpp
-	$(CC) -o gmic_ushort.o -c gmic.cpp -I. -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS) $(CONF_CFLAGS)
-gmic_short.o: gmic.cpp
+	$(CC) -o gmic_ushort.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS) $(CONF_CFLAGS)

## cimg 1.3.9

=== examples/Makefile ===
--- 
+++ 
@@ -84,7 +84,7 @@
 #---------------------------------
 # Set correct variables and paths
 #---------------------------------
-CIMG_VERSION = 1.33
+CIMG_VERSION = 1.3.9
 X11PATH      = /usr/X11R6
 CC           = g++
 CCVER        = `$(CC) -v 2>&1 | tail -n 1`
@@ -139,19 +139,18 @@
 CIMG_X11_CFLAGS = -I$(X11PATH)/include
 CIMG_X11_LDFLAGS = -L$(X11PATH)/lib -lpthread -lX11
 
+# Flags to enable fast image display, using the XSHM library (when using X11).
+# !!! Seems to randomly crash when used on MacOSX, so do not use it on MacOSX !!!
+CIMG_XSHM_CFLAGS = -Dcimg_use_xshm
+CIMG_XSHM_LDFLAGS = -lXext
+
 # Flags to enable GDI32 display (Windows native).
 CIMG_GDI32_CFLAGS = -mwindows
 CIMG_GDI32_LDFLAGS = -lgdi32
 
-# Flags to enable Carbon-based display (MacOSX native).
-CIMG_CARBON_CFLAGS = -Dcimg_display=3 -framework Carbon
-
-# Flags to enable fast image display, using the XSHM library (when using X11).
-CIMG_XSHM_CFLAGS = -Dcimg_use_xshm
-CIMG_XSHM_LDFLAGS = -lXext
-
 # Flags to enable screen mode switching, using the XRandr library (when using X11).
 # ( http://www.x.org/wiki/Projects/XRandR )
+# !!! Not supported by the X11 server on MacOSX, so do not use it on MacOSX !!!
 CIMG_XRANDR_CFLAGS = -Dcimg_use_xrandr
 CIMG_XRANDR_LDFLAGS = -lXrandr
 
@@ -177,7 +176,7 @@
 
 # Flags to enable native support for various video files, using the FFMPEG library.
 # ( http://www.ffmpeg.org/ )
-CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg
+CIMG_FFMPEG_CFLAGS = -Dcimg_use_ffmpeg -I/usr/include/libavcodec -I/usr/include/libavformat -I/usr/include/libswscale
 CIMG_FFMPEG_LDFLAGS = -lavcodec -lavformat -lswscale
 
 # Flags to enable native support for compressed .cimgz files, using the Zlib library.
@@ -225,10 +224,6 @@
 	@echo "** Compiling '$* ($(CIMG_VERSION))' with '`$(CC) -v 2>&1 | tail -n 1`'"
 	@echo
 	$(CC) -o $(EXEPFX)$* $< $(CFLAGS) $(LDFLAGS) $(CONF_CFLAGS) $(CONF_LDFLAGS)
-ifeq ($(MACOSX_APP),true)
-	mkdir -p $(EXEPFX)${*}.app/Contents/MacOS
-	mv $(EXEPFX)${*} $(EXEPFX)${*}.app/Contents/MacOS
-endif
 ifeq ($(STRIP_EXE),true)
 ifeq ($(MSYSTEM),MINGW32)
 	strip $(EXEPFX)$*.exe
@@ -240,11 +235,11 @@
 	@echo
 	@echo "CImg Library $(CIMG_VERSION) : Examples"
 	@echo "-----------------------------"
-	@echo "  > linux    : Linux/BSD/MacOSX target, X11 display, optimizations disabled."
-	@echo "  > dlinux   : Linux/BSD/MacOSX target, X11 display, debug mode."
-	@echo "  > olinux   : Linux/BSD/MacOSX target, X11 display, optimizations enabled."
-	@echo "  > mlinux   : Linus/BSD/MacOSX target, no display, minimal features, optimizations enabled."
-	@echo "  > Mlinux   : Linux/BSD/MacOSX target, X11 display, maximal features, optimizations enabled."
+	@echo "  > linux    : Linux/BSD target, X11 display, optimizations disabled."
+	@echo "  > dlinux   : Linux/BSD target, X11 display, debug mode."
+	@echo "  > olinux   : Linux/BSD target, X11 display, optimizations enabled."
+	@echo "  > mlinux   : Linus/BSD target, no display, minimal features, optimizations enabled."
+	@echo "  > Mlinux   : Linux/BSD target, X11 display, maximal features, optimizations enabled."
 	@echo
 	@echo "  > solaris  : Sun Solaris target, X11 display, optimizations disabled."
 	@echo "  > dsolaris : Sun Solaris target, X11 display, debug mode."
@@ -252,11 +247,11 @@
 	@echo "  > msolaris : Sun Solaris target, no display, minimal features, optimizations enabled."
 	@echo "  > Msolaris : Sun Solaris target, X11 display, maximal features, optimizations enabled."
 	@echo
-	@echo "  > macosx   : MacOSX target, Carbon display, optimizations disabled."
-	@echo "  > dmacosx  : MacOSX target, Carbon display, debug mode."
-	@echo "  > omacosx  : MacOSX target, Carbon display, optimizations enabled."
+	@echo "  > macosx   : MacOSX target, X11 display, optimizations disabled."
+	@echo "  > dmacosx  : MacOSX target, X11 display, debug mode."
+	@echo "  > omacosx  : MacOSX target, X11 display, optimizations enabled."
 	@echo "  > mmacosx  : MacOSX target, no display, minimal features, optimizations enabled."
-	@echo "  > Mmacosx  : MacOSX target, Carbon display, maximal features, optimizations enabled."
+	@echo "  > Mmacosx  : MacOSX target, X11 display, maximal features, optimizations enabled."
 	@echo
 	@echo "  > windows  : Windows target, GDI32 display, optimizations disabled."
 	@echo "  > dwindows : Windows target, GDI32 display, debug mode."
@@ -267,12 +262,12 @@
 	@echo "  > clean    : Clean generated files."
 	@echo
 	@echo "Choose your option :"
-	@read CHOICE; echo; make $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;
+	@read CHOICE; echo; $(MAKE) $$CHOICE; echo; echo "> Next time, you can bypass the menu by typing directly 'make $$CHOICE'"; echo;
 
 all: $(CIMG_FILES)
 
 clean:
-	rm -rf *.app *.exe *.o *~ \#* CMakeFiles cmake_install.cmake CMakeCache.txt $(CIMG_FILES) $(CIMG_EXTRA_FILES)
+	rm -rf *.exe *.o *~ \#* $(CIMG_FILES) $(CIMG_EXTRA_FILES)
 ifneq ($(EXEPFX),)
 	rm -f $(EXEPFX)*
 endif
@@ -312,3 +307,4 @@
 	$(CC) -o gmic_char.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_char $(CFLAGS) $(CONF_CFLAGS)
 gmic_ushort.o: gmic.cpp
 	$(CC) -o gmic_ushort.o -c gmic.cpp -I. -Dcimg_build -Dgmic_separate_compilation -Dgmic_ushort $(CFLAGS) $(CONF_CFLAGS)
+gmic_short.o: gmic.cpp

=== debian/changelog ===
cimg (1.3.9-1ubuntu1) natty; urgency=low

  * debian/rules: added -lHalf to LDFLAGS when building examples. This is 
    required to avoid a FTBFS with binutils-gold

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 02 Nov 2010 06:15:32 +0100

cimg (1.3.9-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 29 Jul 2010 12:02:19 +0200

cimg (1.3.8-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * Source format 3.0 (quilt)
  * Versioned Build-Depends on quilt
  * debian/rules: Make sure, example gaussian_fit1d.cpp will be able
    to find itself as include
  * debian/cimg-dev.install: install plugins into /usr/include

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jul 2010 13:33:13 +0200

cimg (1.3.3-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * debian/get-orig-source upstream does not provide tarballs any
    more and switched back to zip only habit
  * debian/patches/10_examples.patch became useless

 -- Andreas Tille <tille@debian.org>  Thu, 11 Mar 2010 17:18:31 +0100

cimg (1.3.2-2) unstable; urgency=low

  * debian/watch: Re-enable zip download files.
  * Fix formating of long description
    Closes: #554465

 -- Andreas Tille <tille@debian.org>  Wed, 04 Nov 2009 22:16:41 +0100

cimg (1.3.2-1) unstable; urgency=low

  [ Daniel Leidert (dale) ]
  * New upstream release 1.3.2 (closes: #399846, #497672).

  * debian/control (XS-Vcs): Removed obsolete XS-prefix. Fixed Vcs-Svn to work
    with debcheckout.
    (Depends,Build-Depends-Indep): fftw3-dev -> libfftw3-dev transition
    (closes: #460024).
    (Description): Fixed typo (closes: #363199). Thanks to Simon Waters for the
    report.
  * debian/copyright: Updated.
  * debian/watch: Added.

  [ Andreas Tille ]
  * debian/control:
    - Took over package into Debian Science Team maintenance with permission
      of Maintainer:
        On Mon, Oct 12, 2009 at 09:07:32AM +0200, Christophe Prud'homme wrote:
        > ...
        > I am definitely fine with cimg-dev moving to Debian science.
    - Standards-Version: 3.8.3 (no changes needed)
    - Added Homepage field
    - took over Suggests from upstreams Debian packaging
    - Build-Depends: libgimp2.0-dev, quilt
  * debian/get-orig-source to repack zip to orig.tar.gz
  * Added html docs and examples to the package
  * debian/doc-base
  * debian/patches: Added a patch by upstream to enable building
    examples
  * Split into three packages: cimg-dev, cimg-doc, cimg-examples
  * Debhelper 7, short debian/rules file using dh

 -- Andreas Tille <tille@debian.org>  Fri, 09 Oct 2009 14:07:50 +0200

cimg (1.2.0.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix from Peter Green to prevent FTBFS with incorrect
    'long long' declaration. (Closes: #527694)

 -- Kumar Appaiah <akumar@debian.org>  Sun, 20 Sep 2009 09:17:05 -0500

cimg (1.2.0.1-2) unstable; urgency=low

  [Christophe Prud'homme]
  * debian/control: add myself as uploader
  * Bug fix: "FTBFS: ../CImg.h:226:35: error: X11/extensions/Xrandr.h: No
    such file or directory", thanks to Jérémy Bobbio (Closes: #422068).
  * Bug fix: "cimg-dev: forgotten dependency on xorg-dev", thanks to
    Olivier Schwander (Closes: #386260).

 -- Christophe Prud'homme <prudhomm@debian.org>  Sat, 14 Jul 2007 19:16:17 +0200

cimg (1.2.0.1-1) unstable; urgency=low

  * New upstream release.

  * debian/patches/100_system_detection.diff:
    + Patch merged upstream, removing.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 20 Apr 2007 20:30:39 +0200

cimg (1.0.9-3) unstable; urgency=low

  * Use quilt for patch management.
  * debian/control:
    + Set maintainer to the pkg-scicomp team.
    + Set policy to 3.7.2.
    + Added Vcs fields.
  * debian/rules:
    + Removed the useless configure rule.

  * debian/patches/100_system_detection.diff:
    + New patch from old diff.gz. Check for "__linux__" instead of "linux".

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 01 Apr 2007 15:25:35 +0200

cimg (1.0.9-2) unstable; urgency=low

  * CImg.h:
    + Check for macro "__linux__" instead of "linux" (Closes: #319217).
  * debian/rules:
    + Clean up the examples directory after the build; we don't want them
      installed.
    + Fix permissions in examples/img/*.
    + Fixed a timestamp bug that caused examples to be built twice.
  * debian/copyright:
    + Copied the full license text in there.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 11 Nov 2005 15:23:36 +0100

cimg (1.0.9-1) unstable; urgency=low

  * New upstream release (Closes: #303413).
  * debian/control:
    + Set policy to 3.6.2.1.
  * debian/copyright:
    + Reflected license change to CeCILL (which allows redistribution under
      the GPL).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 12 Jul 2005 22:17:19 +0300

cimg (1.0.7-1) unstable; urgency=low

  * New upstream release.
  * CImg.h:
    + Imported a patch from CVS for broken matrix multiplications.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 19 Nov 2004 11:26:29 +0100

cimg (1.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 28 Sep 2004 11:51:57 +0200

cimg (1.0.5-2) unstable; urgency=low

  * Build-depend on libx11-dev (Closes: #264822).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue, 10 Aug 2004 17:34:58 +0200

cimg (1.0.5-1) unstable; urgency=low

  * Initial Release.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 28 Jul 2004 15:27:12 +0200

=== debian/control ===
Source: cimg
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
 Christophe Prud'homme <prudhomm@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends-Indep: doxygen, libx11-dev, libxrandr-dev, libmagick++-dev,
 libfftw3-dev | fftw3-dev, libgimp2.0-dev, quilt (>= 0.46-8)
Build-Depends: debhelper (>= 7.1)
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/cimg/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/cimg/trunk/?rev=0&sc=0
Homepage: http://cimg.sourceforge.net/

Package: cimg-dev
Architecture: all
Depends: libx11-dev, libxrandr-dev, libmagick++9-dev, libfftw3-dev | fftw3-dev,
 ${misc:Depends}, ${shlibs:Depends}
Suggests: xmedcon, lapack3-dev, cimg-doc, cimg-examples
Description: powerful image processing library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.

Package: cimg-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: cimg-dev
Description: documentation of cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains the documentation.

Package: cimg-examples
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: cimg-dev
Enhances: cimg-dev, cimg-doc
Description: examples for cimg-dev imaging library
 The CImg Library is a C++ toolkit providing simple classes and functions
 to load, save, process and display images in your own C++ code. It consists
 only of a single header file CImg.h that must be included in your program
 source. It contains useful image processing algorithms for loading/saving,
 resizing/rotating, filtering, object drawing (text, lines, faces,
 ellipses, ...), etc.
 .
 Images are instantiated by a class able to represent images up to 4-dimension
 wide (from 1-D scalar signals to 3-D volumes of vector-valued pixels), with
 template pixel types. It depends on a minimal number of libraries : you can
 compile it with only standard C libraries. No need for exotic libraries and
 complex dependencies.
 .
 This package contains examples for the usage of the library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules for cimg-dev package
# GNU copyright 2009 Andreas Tille <tille@debian.org>

pkg=cimg-dev
examples=cimg-examples

%:
	dh --with quilt $@

override_dh_compress:
	dh_compress --exclude=.shtml \
	            --exclude=.pdf \
	            --exclude=.h \
	            --exclude=.cpp \
	            --exclude=.bmp \
	            --exclude=.pgm \
	            --exclude=.ppm \
	            --exclude=Makefile \
	            --exclude=.raw

override_dh_installchangelogs:
	dh_installchangelogs --exclude=CHANGES.txt
	mkdir -p $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)
	cp -a CHANGES.txt $(CURDIR)/debian/$(pkg)/usr/share/doc/$(pkg)/changelog

override_dh_auto_install:
	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"

CHANGEFILES=gaussian_fit1d.cpp \
            use_RGBclass.cpp

override_dh_install:
	dh_install
	# In gaussian_fit1d.cpp the files is included into itself and thus the current directory needs to be in include path
	cd debian/$(examples)/usr/share/doc/$(pkg)/examples; \
	    sed -i 's?\(CFLAGS[[:space:]=]*-I\)\.\. -Wall -W?\1`pwd` -Wall -W?' Makefile; \
	    for file in $(CHANGEFILES) ; do \
		sed -i "s?#define cimg_plugin \"examples/$$file\"?#define cimg_plugin \"$$file\"?" $$file ; \
	    done

override_dh_auto_clean:
	-cd examples && $(MAKE) clean
	dh_clean 

get-orig-source:
	. debian/get-orig-source

## cimg 1.4.6

=== debian/changelog ===
cimg (1.4.6-1) unstable; urgency=low

  * New upstream version
  * debian/patches/20_fix-missing-libX11-binutils-gold.patch
    fix FTBFS issue with binutils-gold because of missing libX11 when
    linking the examples version graph (thanks for the patch to
    Fabrice Coutadeur <fabricesp@ubuntu.com>)
    Closes: #603299
  * debian/control: Changed dependencies according to advise of upstream
    author
    - moved cimg-dev/Depends: libmagick++-dev, libfftw3-dev | fftw3-dev
      to cimg-dev/Suggests
    - added cimg-examples/Recommends: libmagick++-dev, libfftw3-dev | fftw3-dev
    - added cimg-dev/Suggests: libgimp2.0-dev, libcv-dev, libhighgui-dev
    - added cimg-examples/Recommends: libgimp2.0-dev, libcv-dev, libhighgui-dev
  * Added debian/README.source
  * Added debian/README.Debian.cimg-examples with explanation of upstream
    author regarding the usage of the Makefile target

 -- Andreas Tille <tille@debian.org>  Sat, 13 Nov 2010 15:33:17 +0100

cimg (1.4.4-1) unstable; urgency=low

  * New upstream version
  * Stabilized gzipped tarball's MD5 sum in ‘debian/get-orig-source’.
  * Make sure package builds with binutils-gold (Thanks for the patch
    provided by Fabrice Coutadeur <fabricesp@ubuntu.com>)
    Closes: #602166
  * debian/control
    - Build-Depends: libcv-dev, libhighgui-dev
    - Recommends: libcv-dev, libhighgui-dev
    - Depends: libmagick++-dev (instead of libmagick++9-dev)
  * debian/rules:
    - Make sure no object files from test build will make it into
      examples package
    - Do not compress .gmic file in examples

 -- Andreas Tille <tille@debian.org>  Thu, 04 Nov 2010 21:59:49 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: cimg
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sam Hocevar (Debian packages) <sam+deb@zoy.org>,
  Christophe Prud'homme <prudhomm@debian.org>,
  Andreas Tille <tille@debian.org>
 Build-Depends-Indep: doxygen, libx11-dev, libxrandr-dev, libmagick++-dev,
- libfftw3-dev | fftw3-dev, libgimp2.0-dev, quilt (>= 0.46-8)
+ libfftw3-dev | fftw3-dev, libgimp2.0-dev, quilt (>= 0.46-8), libcv-dev,
+ libhighgui-dev
 Build-Depends: debhelper (>= 7.1)
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/cimg/trunk/
@@ -16,9 +16,10 @@
 
 Package: cimg-dev
 Architecture: all
-Depends: libx11-dev, libxrandr-dev, libmagick++9-dev, libfftw3-dev | fftw3-dev,
- ${misc:Depends}, ${shlibs:Depends}
-Suggests: xmedcon, lapack3-dev, cimg-doc, cimg-examples
+Depends: libx11-dev, libxrandr-dev, ${misc:Depends}, ${shlibs:Depends}
+Suggests: xmedcon, lapack3-dev, cimg-doc, cimg-examples,
+ libmagick++-dev, libfftw3-dev | fftw3-dev, libgimp2.0-dev, libcv-dev,
+ libhighgui-dev
 Description: powerful image processing library
  The CImg Library is a C++ toolkit providing simple classes and functions
  to load, save, process and display images in your own C++ code. It consists
@@ -58,7 +59,8 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Recommends: cimg-dev
+Recommends: cimg-dev, libmagick++-dev, libfftw3-dev | fftw3-dev, libgimp2.0-dev,
+ libcv-dev, libhighgui-dev
 Enhances: cimg-dev, cimg-doc
 Description: examples for cimg-dev imaging library
  The CImg Library is a C++ toolkit providing simple classes and functions

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,8 @@
 	            --exclude=.pgm \
 	            --exclude=.ppm \
 	            --exclude=Makefile \
-	            --exclude=.raw
+	            --exclude=.raw \
+	            --exclude=.gmic
 
 override_dh_installchangelogs:
 	dh_installchangelogs --exclude=CHANGES.txt
@@ -27,6 +28,8 @@
 
 override_dh_auto_install:
 	cd examples && $(MAKE) Mlinux "LDFLAGS=-lm -lpthread -lHalf"
+	# After test build of examples remove remaining object files
+	cd examples && $(MAKE) clean
 
 CHANGEFILES=gaussian_fit1d.cpp \
             use_RGBclass.cpp

## cimg 1.4.8

=== debian/changelog ===
cimg (1.4.8-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: deleted in favour of
     uscan --verbose --rename --repack --force-download
    in debian/rules
  * Debhelper 8 (control+compat)
  * Build-Depends: libminc-dev

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2011 08:02:36 +0100

cimg (1.4.7-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 22 Jan 2011 11:29:56 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
  Andreas Tille <tille@debian.org>
 Build-Depends-Indep: doxygen, libx11-dev, libxrandr-dev, libmagick++-dev,
  libfftw3-dev | fftw3-dev, libgimp2.0-dev, quilt (>= 0.46-8), libcv-dev,
- libhighgui-dev
-Build-Depends: debhelper (>= 7.1)
+ libhighgui-dev, libminc-dev
+Build-Depends: debhelper (>= 8)
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/cimg/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/debian-science/packages/cimg/trunk/?rev=0&sc=0

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 examples=cimg-examples
 
 %:
-	dh --with quilt $@
+	dh $@ --with quilt
 
 override_dh_compress:
 	dh_compress --exclude=.shtml \
@@ -48,4 +48,4 @@
 	dh_clean 
 
 get-orig-source:
-	. debian/get-orig-source
+	uscan --verbose --rename --repack --force-download

=== debian/watch ===
version=3
http://sf.net/cimg/CImg-([\d\.]+)\.(?:(?:tar\.gz)|zip)

## cimg 1.4.9

=== debian/changelog ===
cimg (1.4.9-2build2) raring; urgency=low

  * REALLY Rebuild for opencv 2.4

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 05 Dec 2012 20:55:34 +0100

cimg (1.4.9-2build1) raring; urgency=low

  * rebuild for opencv 2.4

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Tue, 04 Dec 2012 21:37:27 +0100

cimg (1.4.9-2) unstable; urgency=low

  * debian/patches/30_fix-opencv-ftbfs.patch: Fix problem with opencv
    headers (thanks to Adrien Cunin <adri2000@ubuntu.com> for the patch)
    Closes: #652770
  * debian/control: Standards-Version: 3.9.3 (no changes needed)
  * debhelper 9 (control+compat)
  * no explicite mentioning of quilt (control+rules) which is unneeded
    for source format 3.0 quilt
  * debian/copyright:
    - Real e-mail address for contact
    - DEP5 formatted and verified using
        cme fix dpkg-copyright

 -- Andreas Tille <tille@debian.org>  Wed, 21 Mar 2012 06:28:27 +0100

cimg (1.4.9-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.2 (no changes needed)
  * debian/cimg-doc.doc-base: temporarily exclude CImg_reference.pdf
    which is rewritten according to upstream

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jun 2011 14:12:51 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 examples=cimg-examples
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_compress:
 	dh_compress --exclude=.shtml \
